summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/opentyrian/README8
-rw-r--r--games/opentyrian/doinst.sh3
-rw-r--r--games/opentyrian/opentyrian.SlackBuild104
-rw-r--r--games/opentyrian/opentyrian.info12
-rw-r--r--games/opentyrian/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/games/opentyrian/README b/games/opentyrian/README
new file mode 100644
index 0000000000..ccc9e80bfd
--- /dev/null
+++ b/games/opentyrian/README
@@ -0,0 +1,8 @@
+opentyrian (arcade-style vertical scrolling shooter)
+
+OpenTyrian is a port of the DOS shoot-em-up Tyrian. The story is set in
+20,031 where you play as Trent Hawkins, a skilled fighter-pilot employed
+to fight Microsol and save the galaxy.
+
+Gameplay is similar to the arcade game Raiden. For gameplay help, see
+README and manual.txt in /usr/doc/opentyrian-$VERSION/.
diff --git a/games/opentyrian/doinst.sh b/games/opentyrian/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/opentyrian/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/opentyrian/opentyrian.SlackBuild b/games/opentyrian/opentyrian.SlackBuild
new file mode 100644
index 0000000000..013d90848a
--- /dev/null
+++ b/games/opentyrian/opentyrian.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for opentyrian
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=opentyrian
+VERSION=${VERSION:-2.1.20130907}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# This will likely never change.
+DATAVER=${DATAVER:-21}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p \
+ $PKG/usr/games \
+ $PKG/usr/share/$PRGNAM/data \
+ $PKG/usr/man/man6 \
+ $PKG/usr/share/pixmaps \
+ $PKG/usr/share/applications \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/install
+
+sed -i "s,-g0,$SLKCFLAGS," Makefile
+make
+
+install -s $PRGNAM $PKG/usr/games
+
+# Probably some of the data files are redundant. We certainly don't
+# need the DOS executables or their docs (except manual.doc which
+# has the game story).
+cat <<EOF > $PKG/usr/doc/$PRGNAM-$VERSION/manual.txt
+20140429 bkw: This is the original manual from the DOS game. The install
+instructions are obsolete, but the backstory and gameplay instructions
+are still relevant [beginning with V) THE STORY].
+
+EOF
+
+unzip $CWD/tyrian$DATAVER.zip
+cd tyrian$DATAVER
+ chmod 644 *
+ sed 's/\r//' manual.doc >> $PKG/usr/doc/$PRGNAM-$VERSION/manual.txt
+ rm -f *.exe *.doc
+ mv * $PKG/usr/share/$PRGNAM/data
+cd -
+
+gzip -9c < linux/man/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+cat linux/icons/tyrian-128.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+cat linux/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+chmod 644 CREDITS
+cp -a COPYING CREDITS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/opentyrian/opentyrian.info b/games/opentyrian/opentyrian.info
new file mode 100644
index 0000000000..844cdbfcab
--- /dev/null
+++ b/games/opentyrian/opentyrian.info
@@ -0,0 +1,12 @@
+PRGNAM="opentyrian"
+VERSION="2.1.20130907"
+HOMEPAGE="http://code.google.com/p/opentyrian/"
+DOWNLOAD="http://www.camanis.net/opentyrian/releases/opentyrian-2.1.20130907-src.tar.gz \
+ http://camanis.net/tyrian/tyrian21.zip"
+MD5SUM="978686c5a1dfbac69a2161aadf084c2b \
+ 2a3b206a6de25ed4b771af073f8ca904"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/opentyrian/slack-desc b/games/opentyrian/slack-desc
new file mode 100644
index 0000000000..35b9e7aa37
--- /dev/null
+++ b/games/opentyrian/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opentyrian: opentyrian (arcade-style vertical scrolling shooter)
+opentyrian:
+opentyrian: OpenTyrian is a port of the DOS shoot-em-up Tyrian. The story is set
+opentyrian: in 20,031 where you play as Trent Hawkins, a skilled fighter-pilot
+opentyrian: employed to fight Microsol and save the galaxy.
+opentyrian:
+opentyrian: Gameplay is similar to the arcade game Raiden.
+opentyrian:
+opentyrian:
+opentyrian:
+opentyrian: